/*
 * Copyright 2019 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
  kPIN_MUX_DirectionInput = 0U,         /* Input direction */
  kPIN_MUX_DirectionOutput = 1U,        /* Output direction */
  kPIN_MUX_DirectionInputOrOutput = 2U  /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLpuartPins(void);

/* GPIO_AD_30 (coord K17), DISP_BL */
#define BOARD_INITMIPIPANELPINS_DISP_BL_GPIO                               GPIO9   /*!< GPIO device name: GPIO9 */
#define BOARD_INITMIPIPANELPINS_DISP_BL_PORT                               GPIO9   /*!< PORT device name: GPIO9 */
#define BOARD_INITMIPIPANELPINS_DISP_BL_PIN                                  29U   /*!< GPIO9 pin index: 29 */

/* GPIO_AD_02 (coord R13), DISP_RST */
#define BOARD_INITMIPIPANELPINS_DISP_RST_GPIO                              GPIO9   /*!< GPIO device name: GPIO9 */
#define BOARD_INITMIPIPANELPINS_DISP_RST_PORT                              GPIO9   /*!< PORT device name: GPIO9 */
#define BOARD_INITMIPIPANELPINS_DISP_RST_PIN                                  1U   /*!< GPIO9 pin index: 1 */

/* GPIO_DISP_B2_15 (coord A4), DISP_POWER */
#define BOARD_INITMIPIPANELPINS_DISP_POWER_GPIO                           GPIO11   /*!< GPIO device name: GPIO11 */
#define BOARD_INITMIPIPANELPINS_DISP_POWER_PORT                           GPIO11   /*!< PORT device name: GPIO11 */
#define BOARD_INITMIPIPANELPINS_DISP_POWER_PIN                               16U   /*!< GPIO11 pin index: 16 */


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLCDPins(void);

/* GPIO_AD_26 (coord L14), CAMERA_PWDN */
#define BOARD_INITMIPICAMERAPINS_CAMERA_PWDN_GPIO                          GPIO9   /*!< GPIO device name: GPIO9 */
#define BOARD_INITMIPICAMERAPINS_CAMERA_PWDN_PORT                          GPIO9   /*!< PORT device name: GPIO9 */
#define BOARD_INITMIPICAMERAPINS_CAMERA_PWDN_PIN                             25U   /*!< GPIO9 pin index: 25 */

/* GPIO_DISP_B2_14 (coord A7), CAMERA_RST */
#define BOARD_INITMIPICAMERAPINS_CAMERA_RST_GPIO                          GPIO11   /*!< GPIO device name: GPIO11 */
#define BOARD_INITMIPICAMERAPINS_CAMERA_RST_PORT                          GPIO11   /*!< PORT device name: GPIO11 */
#define BOARD_INITMIPICAMERAPINS_CAMERA_RST_PIN                              15U   /*!< GPIO11 pin index: 15 */


/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitCSIPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSemcPins(void);               /* Function assigned for the Cortex-M7F */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
